---
title: "Simplified Raspberry Streaming"
date: 2019-05-12T18:32:55-07:00
draft: false
tags: ["raspberrypi","mpd","mp3","internet-radio","ncmpcpp","playlist","m3u"]
authors: ["trent"]
---
date: 2019-05-12T18:32:55-07:00
## **RaspberryPi is a Great MPD Appliance**
I’m really pleased with the [RaspberryPi](https://www.raspberrypi.org/){target=_blank} as an
[MPD](https://en.wikipedia.org/wiki/Music_Player_Daemon){target=_blank} (music player daemon),
appliance. I have it hooked up to the home surround-sound system via spdif,
digital optical cable hat, btw, running
[Arch Linux ARM](https://www.hifiberry.com/products/digiplus/){target=_blank}, with
the `/` file system on a dual-thumbdrive,
[btrfs raid1 (mirror) device](https://btrfs.wiki.kernel.org/index.php/Using_Btrfs_with_Multiple_Devices){target=_blank}.

It plays music around the clock, reliably, without breaking a sweat.
And the mpd daemon is easy to remote control,
either from the command line with [ncmpcpp](https://github.com/arybczak/ncmpcpp){target=_blank},
or using [M.A.L.P for Android](https://play.google.com/store/apps/details?id=org.gateshipone.malp&hl=en_US){target=_blank}.

## **And/Or as an Internet Radio Streaming Client**
The beauty of this setup it in the simplicity. All you have to do is create an plain text *m3u
file with the address:port of the internet radio stream you want,
and place that in `/var/lib/mpd/playlists` directory.

You can find various internet radio lists on the internet, and many offer
example *m3u playlist files that you can download. However, the important thing
is that your m3u playlist file has to contain the exact streaming address,
so if the m3u file you download points to a pls file,
you may have to download that pls file to look for the streaming address.
